# t/00_manifest.t - Manifest tests
#
# Copyright (C) 2017  Patrick McDermott
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

use strict;
use warnings;

use Test::More;
use ExtUtils::Manifest qw(fullcheck);

my $missing;
my $extra;
my $file;

unless ($ENV{"RELEASE_TESTING"}) {
	plan("skip_all" => "Author tests not required for installation");
}

plan("tests" => 2);

$ExtUtils::Manifest::Quiet = 1;

($missing, $extra) = fullcheck();

is(@{$missing}, 0, "missing files check");
if (@{$missing}) {
	foreach $file (@{$missing}) {
		diag("No such file: " . $file);
	}
}

is(@{$extra}, 0, "extra files check");
if (@{$extra}) {
	foreach $file (@{$extra}) {
		diag("Not in " . $ExtUtils::Manifest::MANIFEST . ": " . $file);
	}
}
